Package uk.ac.starlink.task

## Class LineWord

- java.lang.Object
- - uk.ac.starlink.task.LineWord

-     public class LineWord
      extends java.lang.Object

  Represents a single word on the command line used as by LineEnvironment.
  Since:
    27 Nov 2006
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LineWord​(java.lang.String text)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Returns the parameter name represented by this word.
    `java.lang.String` | `getText()` | Returns the full text of the original command-line argument.
    `java.lang.String` | `getValue()` | Returns the parameter value represented by this word.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LineWord

          public LineWord​(java.lang.String text)

      Constructor. The supplied text should be either of the form `name=value` or, for positionally-determined parameters, just `value`.
      Parameters:
        `text` - command-line argument

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the parameter name represented by this word. May be null if none was specified.
      Returns:
        parameter name

    - #### getValue

          public java.lang.String getValue()

      Returns the parameter value represented by this word.
      Returns:
        parameter value

    - #### getText

          public java.lang.String getText()

      Returns the full text of the original command-line argument.
      Returns:
        command-line argument

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`